<?php
/*
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License

  IMPORTANT NOTE:

  This script is not part of the official osC distribution
  but an add-on contributed to the osC community. Please
  read the README and  INSTALL documents that are provided
  with this file for further information and installation notes.

  loginbox.php -   Version 5.4
  This puts a login request in a box with a login button.
  If already logged in, will not show anything.

  Modified to utilize SSL to bypass Security Alert
*/

// WebMakers.com Added: Do not show if on login or create account

if ((!strstr($_SERVER['PHP_SELF'],'login.php'))
and
	(!strstr($_SERVER['PHP_SELF'],'create_account.php'))
and
	(!strstr($_SERVER['PHP_SELF'],'order_info.php'))
and
	(!strstr($_SERVER['PHP_SELF'],'order_info_process.php'))
and
	(!tep_session_is_registered('customer_id')))
 {
?>
<!-- loginbox //-->
<?php 
    if (!tep_session_is_registered('customer_id')) {
?>
          <tr>
            <td>
<?php
    $info_box_contents = array();
    $info_box_contents[] = array('text'  => BOX_HEADING_LOGIN_BOX);
    
	new infoBoxHeading($info_box_contents, false, false);
 	
$loginboxcontent = tep_draw_form('login', tep_href_link(FILENAME_LOGIN, 'action=process', 'SSL'))
 								 . BOX_LOGINBOX_EMAIL
						 		 . tep_draw_input_field('email_address', '', 'size="10" maxlength="100" style="width: ' . (BOX_WIDTH-30) . 'px"')
								 .'<br><br>'
								 . BOX_LOGINBOX_PASSWORD
								 . tep_draw_password_field('password', '', 'size="10" maxlength="40" style="width: ' . (BOX_WIDTH-30) . 'px"')
								 .'<a href="'
								 . tep_href_link(FILENAME_PASSWORD_FORGOTTEN, '', 'SSL')
								 . '">'
								 . BOX_LOGINBOX_FORGOT_PASSWORD 
								 . '</a>'
								 . tep_image_submit('button_login.gif', IMAGE_BUTTON_LOGIN, 'SSL')
								 . '<br><br>'
								 .  BOX_LOGINBOX_TEXT_NEW
								 . tep_image_submit('button_create_account.gif','', 'SSL')
							     . '</form><BR>'
							     . '</a>'
								 ;								 
           
 $info_box_contents = array();
    $info_box_contents[] = array('align' => 'center',
                                 'text'  => $loginboxcontent);
    new infoBox($info_box_contents);
?>
            </td>
          </tr>
<?php
  } else {
  // If you want to display anything when the user IS logged in, put it
  // in here...  Possibly a "You are logged in as :" box or something.
  }
?>
<!-- loginbox_eof //-->
<?php
// WebMakers.com Added: My Account Info Box
} else {
  if (tep_session_is_registered('customer_id')) {
?>

<!-- my_account_info //-->
          <tr>
            <td>
<?php
  $info_box_contents = array();
  $info_box_contents[] = array('align' => 'left',
                               'text'  => BOX_HEADING_LOGIN_BOX_MY_ACCOUNT);
  new infoBoxHeading($info_box_contents, false, false);

  $info_box_contents = array();
  $info_box_contents[] = array('align' => 'left',
                               'text'  =>
                                          '<a href="' . tep_href_link(FILENAME_PRODUCTS_NEW, '', 'SSL') . '">' . LOGIN_BOX_PRODUCTS_NEW . '</a><br>' .
										  '<a href="' . tep_href_link(FILENAME_ACCOUNT, '', 'SSL') . '">' . LOGIN_BOX_MY_ACCOUNT . '</a><br>' .
                                          '<a href="' . tep_href_link(FILENAME_ACCOUNT_EDIT, '', 'SSL') . '">' . LOGIN_BOX_ACCOUNT_EDIT . '</a><br>' .
                                          '<a href="' . tep_href_link(FILENAME_ACCOUNT_HISTORY, '', 'SSL') . '">' . LOGIN_BOX_ACCOUNT_HISTORY . '</a><br>' .
                                          '<a href="' . tep_href_link(FILENAME_ADDRESS_BOOK, '', 'SSL') . '">' . LOGIN_BOX_ADDRESS_BOOK . '</a><br>' .
                                          '<a href="' . tep_href_link(FILENAME_ACCOUNT_NOTIFICATIONS, '', 'NONSSL') . '">' . LOGIN_BOX_PRODUCT_NOTIFICATIONS . '</a><br>' .
                                          '<a href="' . tep_href_link(FILENAME_LOGOFF, '', 'NONSSL') . '">' . LOGIN_BOX_LOGOFF . '</a>');
  new infoBox($info_box_contents);
?>
            </td>
          </tr>
<!-- my_account_info_eof //-->

<?php 
  } 
  
} 

?>